Subject: [PATCH v3 0/5] ARM64: Add kernel probes(Kprobes) support

From: [email-masked] (Masami Hiramatsu)
Date: Thu, 04 Dec 2014 20:53:03 +0900

(2014/12/04 20:29), Steve Capper wrote:

>> I'd like to ask you to try my fix on your machine, with my reproducing
>> methods. (do not use sytemtap nor perf, those can have other issues)
>>
> 
> Thank you Masami,
> 
> I tried the following commands:
> 
> echo "p:trace_event_buffer_lock_reserve
> trace_event_buffer_lock_reserve" >
> /sys/kernel/debug/tracing/kprobe_events
> echo 1 > /sys/kernel/debug/tracing/events/kprobes/enable
> echo 1 > /sys/kernel/debug/tracing/events/sched/sched_process_exec/enable
> 
> The system appeared okay, I then cat'ed out:
> # cat /sys/kernel/debug/tracing/kprobe_profile
>    trace_event_buffer_lock_reserve                           25              25
> 
> I got similar output (i.e. no crashes) both with and without the
> interrupt fix you recommended.
> 
> I'm not sure how to interpret this, please let me know if you would
> like me to run any other tests?
> 
> (I did also try your proposed fix with perf + memcpy and that crashed
> in a similar way as before).

Hmm, then the bug is still there, and the bug may not be in the recursive
call path... We need to find another suspicious code in the patch.

Thank you,

-- 
Masami HIRAMATSU
Software Platform Research Dept. Linux Technology Research Center
Hitachi, Ltd., Yokohama Research Laboratory
E-mail: masami.hiramatsu.pt at hitachi.com